Tamio

Retrieve a shipping method

GET https://api.tamio.com/v2/shippings/retrieve/{uuid}

Returns detailed information about a single shipping method.

Path Parameters

uuid string*

UUID of the shipping method to retrieve.

Responses

200 Shipping method details

Shipping method details

status integer
shipping Shipping
400 Validation or business-logic error.
401 Missing or invalid API key
/shippings/retrieve/{uuid}
1const response = await fetch("https://api.tamio.com/v2/shippings/retrieve/{uuid}", {
2 headers: {
3 "Authorization": "Bearer YOUR_API_KEY",
4 "Accept": "application/json"
5 }
6});
7const data = await response.json();
Responses
{
  "status": 200,
  "shipping": {
    "id": "999e4567-e89b-12d3-a456-426614174000",
    "label": "Standard Delivery",
    "object": "shipping",
    "currency": "EUR",
    "destination": [
      "US",
      "GB",
      "DE"
    ],
    "price": 500,
    "has_bundling": true,
    "postcodes": [
      "90210",
      "10001"
    ],
    "states": [
      "CA",
      "NY"
    ],
    "bundling_rules": [
      {
        "type": "range",
        "cost": 200,
        "cost_rule": "fixed",
        "max": null,
        "from": 2,
        "to": 5
      }
    ],
    "active": true,
    "has_notes": false
  }
}